# Method: customers.patch

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/customers/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/spectrum-access-system/reference/rest/customers/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/spectrum-access-system/reference/rest/customers/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/customers/patch#body.request_body)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/customers/patch#body.response_body)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/customers/patch#body.aspect)

Updates an existing `https://developers.google.com/spectrum-access-system/reference/rest/customers#Customer`.

### HTTP request

`PATCH https://sasportal.googleapis.com/v1alpha1/{customer.name=customers/*}`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer.name` | `string` Output only. Resource name of the customer. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Fields to be updated. A comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. <br /> |

### Request body

The request body contains an instance of `https://developers.google.com/spectrum-access-system/reference/rest/customers#Customer`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/spectrum-access-system/reference/rest/customers#Customer`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/userinfo.email`